/* 
 * 
 * eulerGlyphs v0.9.0
 * 
 * 2013-12-18
 *
 * 
 * 
 * eulerGlyphs -- Drawing Area-Proportional Euler Diagrams With Glyphs	    
 * 		http://www.eulerdiagrams.org/eulerGlyphs
 * 
 * 
 * 		Copyright (C) 2012-2013, Luana Micallef. 
 * 		All rights reserved.
 * 		
 * 
 * 		This file is part of eulerGlyphs.
 * 			
 * 		eulerGlyphs is free software: you can redistribute it and/or modify
 * 		it under the terms of the GNU General Public License as published 
 * 		by the Free Software Foundation, either version 3 of the License, 
 * 		or (at your option) any later version.
	
 * 		eulerGlyphs is distributed in the hope that it will be useful,
 * 		but WITHOUT ANY WARRANTY; without even the implied warranty of
 * 		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * 		GNU General Public License for more details.
	
 * 		A copy of the GNU General Public License is provided with 
 * 		eulerGlyphs (in a file named 'COPYING'). Alternatively, see 
 * 		<http://www.gnu.org/licenses/gpl.html>.
 * 			
 */

 


package uicomponent.utils;

import java.util.Enumeration;
import javax.swing.ButtonGroup;
import javax.swing.JRadioButton;

/**
 * 
 * UI Component Utilities
 *
 */


public class UIComponentUtils {
	
	public static Integer getIndexOfSelectedRadioButonInGroup (ButtonGroup buttonGroup){
	
		JRadioButton currRadioButton;
		Enumeration buttonsEnum = buttonGroup.getElements();
		int i = 0;
		while(buttonsEnum.hasMoreElements()){
			currRadioButton = (JRadioButton) buttonsEnum.nextElement();
			if (currRadioButton.isSelected()){
				return i;
			}
			i++;
		}
		return null;
	}
}
